% Numerical integration by the trapesoidal rule
  a=0; b=pi; N=100; h=(b-a)/N;
  x=[a:h:b]; y=sin(x);
  Q=h/2*(sin(a)+sin(b)+2*sum(sin(a+[1:N-1]*h)))
% Details
  Q1(1)=0;
  for i=1:N
     Q1(i+1)=Q1(i)+h/2*(sin(a+(i-1)*h)+sin(a+i*h));
  end
  figure(1)
    subplot(2,1,1), stem(x,y); axis tight
      title('GIVEN FUNCTION')
    subplot(2,1,2), stem(x,Q1); axis tight
      title(['NUMERICAL INTEGRATION: Q=', num2str(Q1(end))])
  